/*
  433 MHz transmitter tester (receiver)
  (c) TavIR http://www.tavir.hu
 
  433 MHz adó és vevőmodul tesztelése. ASK moduláció és hibajavítással.
 
  Fordító: 		Arduino 1.8.5
  Library:		RadioHead 1.41
				SPI (beépített)
  Alappanel:	UNO (ATMega328P)
  Hardware:		433 HHz vevőmodul	
				Arduino                         Receiver
				GND------------------------------GND
				D11------------------------------Data
				5V-------------------------------VCC
											-----Antenna bekötése javasolt
												
 
 Forrás:	https://randomnerdtutorials.com/rf-433mhz-transmitter-receiver-module-with-arduino/
 
 
 Tesztelve:		TavIR (avr@tavir.hu)
 Teszt ideje:	2020.04.12
  
 */

#include <RH_ASK.h>
#include <SPI.h> // Not actualy used but needed to compile

RH_ASK driver;

void setup()
{
    Serial.begin(9600);  // Debugging only
    if (!driver.init())
         Serial.println("init failed");
}

void loop()
{
    uint8_t buf[12];
    uint8_t buflen = sizeof(buf);
    if (driver.recv(buf, &buflen)) // Non-blocking
    {
      int i;
      // Message with a good checksum received, dump it.
      Serial.print("Message: ");
      Serial.println((char*)buf);         
    }
}

